--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Converting to HSL as adapted from Foley and Van-Dam from http://www.bobpowell.net/RGBHSB.htm.
- !ruby/struct:SM::Flow::P 
  body: "NOTE:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: If the colour's luminosity is near zero, the colour is always black.
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: If the colour's luminosity is near one, the colour is always white.
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: If the colour's saturation is near zero, the colour is always a shade of grey and is based only on the luminosity of the colour.
  type: :BULLET
full_name: Color::HSL#to_rgb
is_singleton: false
name: to_rgb
params: (ignored = nil)
visibility: public
